/* eslint-disable no-param-reassign */
import { SINGLE, DOUBLE, LATTICE, ROWS, ROW } from './static'

export default {
  computed: {
    isSingle() {
      return this.listStyle === SINGLE
    },
    isDouble() {
      return this.listStyle === DOUBLE
    },
    isLattice() {
      return this.listStyle === LATTICE
    },
    isRows() {
      return this.listStyle === ROWS
    },
    isRow() {
      return this.listStyle === ROW
    },
    staticKey() {
      return this.isSingle || this.isDouble
    },
  },
}
